import { resolve } from "path"
import { copyFilePersistent } from "@samual/lib/copyFilePersistent"
async function pull(sourceFolderPath, hackmudPath, script) {
	const [user, name] = script.split(".")
	if (!user || !name) throw Error('`script` argument must be in "user.name" format')
	await copyFilePersistent(
		resolve(hackmudPath, user, "scripts", name + ".js"),
		resolve(sourceFolderPath, user, name + ".js")
	)
}
export { pull }
